summaryrefslogtreecommitdiff
path: root/dev-python/pdm-backend
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-23 01:27:26 -0500
committerCrucible <crucible@localhost>2026-09-23 01:27:26 -0500
commit89638002224beb1b5cc8a81e8f7abb9c0943aaed (patch)
tree1708e516820c278bc2f192056872632412216a8d /dev-python/pdm-backend
parentd7f82bffe8354989cbca631fdb55135397e3b0b1 (diff)
downloadsrcux-develop.tar.gz
srcux-develop.tar.xz
srcux-develop.zip
Publish srcux candidate 0000000360-20260923-012508HEADdevelop
Diffstat (limited to 'dev-python/pdm-backend')
-rw-r--r--dev-python/pdm-backend/Manifest1
-rw-r--r--dev-python/pdm-backend/pdm-backend-2.4.10.ebuild78
2 files changed, 79 insertions, 0 deletions
diff --git a/dev-python/pdm-backend/Manifest b/dev-python/pdm-backend/Manifest
index ee44fa1f8d98..3d1c063a9d97 100644
--- a/dev-python/pdm-backend/Manifest
+++ b/dev-python/pdm-backend/Manifest
@@ -1 +1,2 @@
+DIST pdm-backend-2.4.10.gh.tar.gz 160294 BLAKE2B 57df4398cdde361ab07086d811a853a9bb5030a1fb9baad7c16c55ace8addc5788d00c83951b047b6b0c151e43ccc971b20ab6d6960439200672fd4288dc12c8 SHA512 09fbfc04d093790f73d4c9898749096a5ce4eef9fb91a0cd5c1de1f23f53d08f2a25a15a07500fed00a08f44e52b71164d526809dba7e774d5dccafbf6971b0e
DIST pdm-backend-2.4.9.gh.tar.gz 159329 BLAKE2B 869796a9f68971c050f93c0fce2dec2f6891d2df198cdfd5be5e514b9929c7ab1271daf1a343225a0de90c346c0d344343b75d9ed1625fecff4e12220c6bcad6 SHA512 69cc6669448dd36cf55bf5260fe9eaf28169b2dc5700648f6992ab29662adf97ba3febf1083aec4d1649fbd973f9c918afd0709784cedecd4b115b947bd7760e
diff --git a/dev-python/pdm-backend/pdm-backend-2.4.10.ebuild b/dev-python/pdm-backend/pdm-backend-2.4.10.ebuild
new file mode 100644
index 000000000000..c1c35dde58f6
--- /dev/null
+++ b/dev-python/pdm-backend/pdm-backend-2.4.10.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-backend/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# see src/pdm/backend/_vendor/vendor.txt
+RDEPEND="
+ >=dev-python/editables-0.5[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.9.0_beta7[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # changes in editables or somewhere
+ tests/test_api.py::test_build_editable
+ tests/test_api.py::test_build_editable_src
+ tests/test_api.py::test_build_editable_pep420
+)
+
+src_prepare() {
+ rm -r src/pdm/backend/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.backend\._vendor\.:from :' \
+ -e 's:from pdm\.backend\._vendor ::' \
+ -e 's:import pdm\.backend\._vendor\.:import :' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ # this must not be set during src_test()
+ local -x PDM_BUILD_SCM_VERSION=${PV}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ epytest -k "not [hg"
+}